"{ Package: 'stx:libcomp' }"

CompilationErrorHandler subclass:#WarningCompilationErrorHandler
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Compiler'
!

!WarningCompilationErrorHandler class methodsFor:'documentation'!

documentation
"
    I am a warning ErrorHandler - i.e. showing a warning for
    compilation errors.
"
! !

!WarningCompilationErrorHandler methodsFor:'error handling'!

error:aMessage position:position to:endPos from:aCompiler
    "error notification.
     This is sent by the compiler/evaluator if it detects errors."

    |box|

    box := TextBox new.
    box initialText:currentSource.
    box label:aMessage.
    box textView selectFromCharacterPosition:(position?1) to:(endPos?currentSource size).
    box open.
    ^ false

    "Created: / 30.7.1999 / 18:10:22 / cg"
    "Modified: / 30.7.1999 / 22:37:30 / cg"
! !

!WarningCompilationErrorHandler class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/WarningCompilationErrorHandler.st,v 1.3 2002-11-08 10:16:01 cg Exp $'
! !
